<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van POOR_IN900500NL - Find Composite Order FulFillment Requests Query </title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/DTr1_XML.NL.sch"/>
    
    <include href="coreschematron/transmission-wrapper.NL.sch"/>
    <include href="coreschematron/controlAct-wrapper.NL.sch"/>

    <pattern is-a="transmission-wrapper" id="POOR_IN900500NL-wrapper">
        <param name="element" value="hl7:POOR_IN900500NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="POOR_IN900500NL-controlAct">
        <param name="element" value="hl7:POOR_IN900500NL/hl7:ControlActProcess"/>
    </pattern>

    <pattern id="Wrapper">
        <!-- profileId -->
        <rule context="hl7:profileId">
            <assert test="@root='2.16.840.1.113883.2.4.3.11.1' and(@extension='810')">In de
                transmission wrapper moet het element profileId worden gevuld met de waarde
                '810'</assert>
        </rule>
    </pattern>

    <pattern>
        <title>queryByParameter</title>
        <rule context="hl7:queryByParameter">
            <assert test="hl7:patientId">PatientId ontbreekt</assert>

            <assert test="hl7:procedureRequestID or hl7:placerGroupID">ProcedureRequestID of
                placerGroupID ontbreekt</assert>

            <assert
                test="hl7:procedureRequestID/hl7:value[@root and @extension] or hl7:placerGroupID/hl7:value[@root and @extension]"
                >ProcedureRequestID of placerGroupID is niet compleet</assert>

            <assert test="hl7:patientId/hl7:value/@root='2.16.840.1.113883.2.4.6.3'">OID root van
                patientId wijst niet naar BSN register</assert>

        </rule>

    </pattern>

</schema>
