<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
  <title>Schematronvalidatie van RCMR_IN920000NL - Find Document Metadata and Content Query</title>
  <ns uri="urn:hl7-org:v3" prefix="hl7"/>
  <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
  <include href="coreschematron/DTr1_XML.NL.sch"/>
  <include href="coreschematron/attentionLine.sch"/>
  
  <include href="coreschematron/transmission-wrapper.NL.sch"/>
  <include href="coreschematron/controlAct-wrapper.NL.sch"/>
  
  <pattern is-a="transmission-wrapper" id="RCMR_IN920000NL-wrapper">
    <param name="element" value="hl7:RCMR_IN920000NL"/>
  </pattern>
  
  <pattern is-a="controlAct-wrapper" id="RCMR_IN920000NL-controlAct">
    <param name="element" value="hl7:RCMR_IN920000NL/hl7:ControlActProcess"/>
  </pattern>
  
  <pattern is-a="attentionLine" id="RCMR_IN920000NL-attentionLine">
      <param name="element" value="hl7:RCMR_IN920000NL"/>
      <param name="messagePatientId" value="hl7:ControlActProcess/hl7:queryByParameter/hl7:patient.id/hl7:value"/>
      <param name="attentionLineBsnOptional" value="'true'"/>
      <param name="attentionLineContextCodeOptional" value="'true'"/>
  </pattern>
  
  <!-- ControlAct Wrapper -->
  <pattern>
    <title>ControlAct Wrapper</title>
    <rule context="hl7:ControlActProcess">
      <assert test="hl7:authorOrPerformer/@typeCode='AUT'">authorOrPerformer.typeCode is niet gelijk aan AUT</assert>
      <assert test="hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id/@root='2.16.528.1.1007.3.1'"
        >OID root van authorOrPerformer AssignedPerson.id wijst niet naar UZI register personen</assert>
      <assert
        test="hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id/@root='2.16.528.1.1007.3.3'"
        >OID root van authorOrPerformer AssignedPerson.Organization.id wijst niet naar UZI register instellingen</assert>
    </rule>
  </pattern>
  <!-- queryByParameter -->
  <pattern>
    <title>queryByParameter</title>
    <rule context="hl7:queryByParameter">
      <assert test="hl7:queryId/@root and hl7:queryId/@extension">queryId element mist root of extension</assert>
      <assert test="hl7:patientId/hl7:value/@root='2.16.840.1.113883.2.4.6.3'">OID root van patientId wijst
        niet naar BSN register</assert>
    </rule>
  </pattern>
</schema>
